<?php
function test1($clave_acceso)
{
     
     
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     
     if(empty($clave_acceso)){return;}
     
     $empr0=data_maes('empr',$cfg_empr);

	$eol="\r\n";
	$random_hash = md5(time()); 

     
     $mail_subject='';
     $mail_subject.'';
     
     
     $href_html='/docu/'.$clave_acceso.'.html';
     $file_html='../'.$cfg_empr.$href_html;
     
     $docu_html=file_get_contents($file_html);
//      $docu_html=str_replace('href=','xhref=',$docu_html);
//      $docu_html=str_replace('<a ','<span ',$docu_html);
//      $docu_html=str_replace('</a>','</span>',$docu_html);

//      $dom1 = new DOMDocument('1.0', 'utf-8');
//      $dom1->loadXML($docu_html);
// // 		$claveacc= $dom1->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
// 		$docu_ride= $dom1->getElementsByClassName('docu-ride')->item(0)->nodeValue;
     
//      echo $docu_html;
//      echo $dom1;
//      echo $docu_ride;

     
	$mail_headers ='';
	$mail_headers.= 'From: VCRXOL.COM - '.$empr0['empr_descri'].' <celec@vcrxol.com>'. $eol;
// 	$mail_headers.= 'Reply-To:'.$mail_reply. $eol;
// 	$mail_headers.= 'Cc:'.$mail_cc. $eol;
// 	$mail_headers.= 'Bcc:'.$mail_bcc. $eol;
// 	$mail_headers.= 'Return-Path: Soporte '.$cfg_descri.' <celec@vcrxol.com>'.$eol;
     $mail_headers.= 'Errors-To: <vicore@hotmail.com>'.$eol;
	$mail_headers.= 'MIME-Version: 1.0' . $eol;
	$mail_headers.= 'Content-Type: multipart/mixed; boundary="PHP-mixed-'.$random_hash.'"'; 
     
     
	$mensaje='';
	$mensaje.='--PHP-mixed-'.$random_hash.$eol;   
	$mensaje.='Content-Type: multipart/alternative; boundary="PHP-alt-'.$random_hash.'"'.$eol;  
	$mensaje.='--PHP-alt-'.$random_hash.$eol;
// 	$mensaje.='Content-Type: text/html; charset="utf-8"'.$eol; 
	$mensaje.='Content-Type: text/html; charset="iso-8859-1"'.$eol; 
	$mensaje.='Content-Transfer-Encoding: 7bit'.$eol; 
	$mensaje.= $eol; 
	$mensaje.= $docu_html.$eol;  
	$mensaje.='--PHP-alt-'.$random_hash.'--'.$eol;   
     
     
     $mail_to='vicore1976@gmail.com';
     $mail_to='vicore@hotmail.com';
     $mail_subject='PRUEBA RIDE';
     $mail_message=$mensaje;
     
//      $mail_message='probando';
     
     $mail_ok=mail($mail_to,$mail_subject,$mail_message,$mail_headers);
     
     echo 'Enviado : '.$mail_ok;
     
     return;
     
     
     
if(!val_clac($clave_acceso)){return false;}
     
    $subdce=mk_subdce($clave_acceso);
  
  $test_mail='';
// 	$test_mail='vicore@hotmail.com';
// 	$test_mail='vicore1976@gmail.com';
// 	$test_mail='vicore@hotmail.com,ptama@hotmail.com';


//      echo '*/*/*/*/*/*';
     
	$eol="\r\n";
	$random_hash = md5(time()); 

     
     
	//01 04 05
	$codDoc=substr($clave_acceso,8,2); 	
	$tabla='vtas';
	if($codDoc=='03'){$tabla='comp';}
	if($codDoc=='06'){$tabla='guia';}
	if($codDoc=='07'){$tabla='retp';}
  
	if($codDoc=='81'){$tabla='caja';}
	if($codDoc=='82'){$tabla='bcos';}
	if($codDoc=='91'){$tabla='clie';}
	if($codDoc=='92'){$tabla='clie';}
	if($codDoc=='95'){$tabla='prov';}
	if($codDoc=='96'){$tabla='prov';}
	if($codDoc=='99'){$tabla='role';}

// 	$sql_cel1='select * from '.$tabla.'11 where claveacc="'.$clave_acceso.'"';
	$sql_cel1='select * from '.$tabla.'12 where claveacc="'.$clave_acceso.'" ';
// 	$sql_cel1.=' and enti not like "9999%"';
  $sql_total=sql_total($tabla);      
  $sql_cel1=str_replace('*','*,'.$sql_total,$sql_cel1);
  
	$res_cel1=msql_query($sql_cel1,$link_vcrx);
	
	$enti=substr(msql_result($res_cel1,0,'enti'),0,10);
     if(mb_stristr($enti,'9999'))
     {
          $email='celec@vcrxol.com';
		$sql_cel1='update '.$tabla.'1 set emailfec=now(), emailto="'.$email.'" where claveacc="'.$clave_acceso.'"';
		$res_cel1=msql_query($sql_cel1,$link_vcrx);
          return;
     }
     
	$docu=msql_result($res_cel1,0,'docu');
	$idnum1=msql_result($res_cel1,0,'idnum1');
	$numero=msql_result($res_cel1,0,'numero');
	$fecha=msql_result($res_cel1,0,'fecha');
     
// 	$entiruc=substr(msql_result($res_cel1,0,'enti'),0,13);
	$enti_descri=msql_result($res_cel1,0,'enti_descri');
	$autornum=@msql_result($res_cel1,0,'autornum');
	$docu_descri=msql_result($res_cel1,0,'docu_descri');
	$tiporuc=msql_result($res_cel1,0,'enti_tiporuc');
	$docupdf=r_fiel('docu',$docu,'pdf');
	$entipdf=@r_fiel('enti',$enti,'pdf');
     $ambiente=substr($clave_acceso,23,1); // 1 pruebas 2 produccion
	
	$tipo_descri='';
	if(substr($clave_acceso,8,2)=='01'){$tipo_descri='FACTURA';}
	if(substr($clave_acceso,8,2)=='04'){$tipo_descri='N.CREDITO';}
	if(substr($clave_acceso,8,2)=='06'){$tipo_descri='GUIA';}
	if(substr($clave_acceso,8,2)=='07'){$tipo_descri='RETENCION';}
	if($tipo_descri!=''){$docu_descri=$tipo_descri;}
	
	
	if(mb_stristr('vtas.guia.retp',$tabla))
	{if($autornum==""){ws_autor($clave_acceso);}}

  $email=$mail_ce;
	if($email==''){$email=r_fiel('enti',msql_result($res_cel1,0,'enti'),'emailce');}
	if(strlen($email)<=6){$email=r_fiel('enti',msql_result($res_cel1,0,'enti'),'email');}
  
	$email=strtolower($email);
  $email=str_replace(';',',',$email);

  $emailcc=r_fiel('enti',$cfg_ruc,'emailce');
// 	$emailcc=strtolower($emailcc);
  $emailced1='';
  $emailattn='';
  $emailvndd='';
  
  $emailced1=r_fiel('enti',@msql_result($res_cel1,0,'cedula1'),'emailce');
  if(strlen($emailced1)<=6)
  {$emailced1=r_fiel('enti',@msql_result($res_cel1,0,'cedula1'),'email');}
  $emailced1=strtolower($emailced1);
  
  $emailattn=r_fiel('enti',@msql_result($res_cel1,0,'attn'),'emailce');
  if(strlen($emailattn)<=6)
  {$emailattn=r_fiel('enti',@msql_result($res_cel1,0,'attn'),'email');}
  $emailattn=strtolower($emailattn);
  
  $emailvndd=r_fiel('enti',@msql_result($res_cel1,0,'vndd'),'emailce');
  if(strlen($emailvndd)<=6)
  {$emailvndd=r_fiel('enti',@msql_result($res_cel1,0,'vndd'),'email');}
  $emailvndd=strtolower($emailvndd);
  
//   $emailattnce=r_fiel('enti',@msql_result($res_cel1,0,'attn'),'emailce');
//   $emailattnce=strtolower($emailattnce);
  
  $emailcc.=','.$emailattn;
  $emailcc.=','.$emailvndd;
  $emailcc.=','.$emailced1;
  $emailcc=str_replace(';',',',$emailcc);
	$emailcc=strtolower($emailcc);

     
     
     if(mb_stristr('vtas.guia.retp',$tabla) and $ambiente!='2')
     {$email=r_fiel('enti',$cfg_ruc,'emailce');$emailcc=$email;}

     
     
     
     
     
  $emailbcc='vicore@hotmail.com';
  $ruconta=r_fiel('empr',$cfg_empr,'ruccontador');
  $emconta=r_fiel('enti',$ruconta,'emailce');
  $emailbcc.=','.$emconta;
  $emailbcc=str_replace(';',',',$emailbcc);

 	$reply=$emailcc;
  
  if(mb_stristr('cpc1.stp1.flmn',$cfg_empr))
  {$emailbcc.=','.'peggytama@gmail.com';}
  
  if(mb_stristr('gmny.gnya',$cfg_empr))
  {$emailbcc.=','.'mlr_2021@hotmail.com';}
  
//      echo '<br>/*/*/*'.$email;
//      echo '<br>/*/*/*'.$emailcc;
//      echo '<br>/*/*/*'.$emailbcc;
     
  
	$asunto=$docu_descri.' '.msql_result($res_cel1,0,'ptonumero').' ';
	$asunto.=$enti_descri;
// 	$asunto=$docu_descri.' '.msql_result($res_cel1,0,'ptonumero').' '.$enti;
     $asunto=str_replace('S.A.','',$asunto);
     $asunto=str_replace('S. A.','',$asunto);
     
// echo '<br>*/*/*/'.$asunto ; 
// echo '<br>*/*/*/'.$docu ; 
// echo '<br>*/*/*/'.$idnum1 ; 
     
// echo '<br>aaaaa'.date('H:i:s') ; 
	$documsj=prnt_docu2($docu,$idnum1,1,'mail');
// echo '<br>bbbbb'.date('H:i:s') ; 
	prnt_docu0($docu,$idnum1);
// echo '<br>ccccc'.date('H:i:s') ; 
     
// echo '<br>*/*/*/'.$documsj ; 

	$attach1='';
	$attach2='';
	$attach3='';
	
	if(file_exists($rutace.$subdce.$clave_acceso.'.xml'))
	{$attach1=chunk_split(base64_encode(file_get_contents($rutace.$subdce.$clave_acceso.'.xml')));}
	
	if(file_exists($rutadoc.$docu.'_'.fillzero($idnum1).'.html'))
	{$attach2=chunk_split(base64_encode(file_get_contents($rutadoc.$docu.'_'.fillzero($idnum1).'.html'))); } 
	
	if(file_exists($rutace.$subdce.$clave_acceso.'.pdf'))
	{$attach3=chunk_split(base64_encode(file_get_contents($rutace.$subdce.$clave_acceso.'.pdf')));}
  
  if($tiporuc=='N'){$attach3='';}

     
         
     
  $resu=0;
	// PARA SANTA PRISCILA	
	if(mb_stristr('0991257721',substr($enti,0,10)) and $empr_codigo=='cpc1'){$resu=1;}
     // INVERNEG
	if(mb_stristr('0990658498',substr($enti,0,10)) and $empr_codigo=='flmn'){$resu=1;}
     
     // AQUAMARKET
// 	if(mb_stristr('0992457260',substr($enti,0,10)) and $empr_codigo=='flmn'){$resu=1;}

     // SONGA
// 	if(mb_stristr('0990033110',substr($enti,0,10)) and $empr_codigo=='sawo'){$resu=1;}
     
  
	if($resu==1 or $entipdf==1)
	{
		$bloque=substr($documsj,strpos($documsj,'<cabecera>'));	
		$bloque=substr($bloque,0,strpos($bloque,'</cabecera>')+11);	
		$cabecera=$bloque;

		$bloque=substr($documsj,strpos($documsj,'<logo>'));	
		$bloque=substr($bloque,0,strpos($bloque,'</logo>')+7);	
		$logo=$bloque;

		$bloque=substr($documsj,strpos($documsj,'<datos>'));	
		$bloque=substr($bloque,0,strpos($bloque,'</datos>')+8);	
		$datos=$bloque;

		$bloque=substr($documsj,strpos($documsj,'<resumen>'));
		$bloque=substr($bloque,0,strpos($bloque,'</resumen>')+10);	
		$resumen=$bloque;
		
// 		$documsj='<table width="25%"><tr><td>'.$logo.$datos.$resumen.'</td></tr></table>';
	}
	
	
//   $documsj='VCRX<br>'.$documsj.'<br>End Of Line';
  
  $cele_preguntas='';
  $cele_preguntas.='<a href=';
  $cele_preguntas.='"http://www.sri.gob.ec/DocumentosAlfrescoPortlet/descargar/cef82829-f261-4374-a45c-96adb2c3ace8/Preguntas+frecuentes+facturaci%F3n+electr%F3nica.pdf"';
  $cele_preguntas.=' target="_blank">';
  $cele_preguntas.='X</a>';
  
//   $documsj=$documsj.'<br>'.$cele_preguntas;
  
  
	if(mb_stristr($documsj,'Warning:')){$email='vicore@hotmail.com';}
	if($test_mail!="")
	{
		$email=$test_mail;
		$emailcc=$test_mail;
		$emailbcc=$test_mail;
	}	

  
  
	$headers ='';
	$headers.= 'Reply-To:'.$reply. $eol;
	$headers.= 'Cc:'.$emailcc. $eol;
	$headers.= 'Bcc:'.$emailbcc. $eol;
	$headers.= 'Return-Path: Soporte '.$cfg_descri.' <celec@vcrxol.com>'.$eol;
//   $headers.= 'Errors-To: <vicore@hotmail.com>'.$eol;
	$headers.= 'MIME-Version: 1.0' . $eol;
	$headers.= 'Content-Type: multipart/mixed; boundary="PHP-mixed-'.$random_hash.'"'; 
// 	$headers.= 'Content-Type: text/html; charset="iso-8859-1"'.$eol; 
//      $headers=str_replace('S.A.','',$headers);
//      $headers=str_replace('S. A.','',$headers);
     
	$headers.= 'From: VCRXOL.COM - '.$cfg_descri.' <celec@vcrxol.com>'. $eol;
	
	$mensaje='';
	$mensaje.='--PHP-mixed-'.$random_hash.$eol;   
	$mensaje.='Content-Type: multipart/alternative; boundary="PHP-alt-'.$random_hash.'"'.$eol;  
	$mensaje.='--PHP-alt-'.$random_hash.$eol;
// 	$mensaje.='Content-Type: text/html; charset="utf-8"'.$eol; 
	$mensaje.='Content-Type: text/html; charset="iso-8859-1"'.$eol; 
	$mensaje.='Content-Transfer-Encoding: 7bit'.$eol; 
	$mensaje.= $eol; 
	$mensaje.= $documsj.$eol;  
	$mensaje.='--PHP-alt-'.$random_hash.'--'.$eol;   

//https://pdfcrowd.com/genpdf/aa5cc2774119e948ab28e8eeafeb1788.pdf?name=flmn_vcrxol_com__doc_FC10_000000004_html.pdf
//   $attach0='VCRX';
  
// $attach0='';
// $attach1='';
// $attach2='';
// $attach3='';
     
	if($attach1!='')
	{
    $mensaje.='--PHP-mixed-'.$random_hash.$eol;   
    $mensaje.='Content-Type: text/plain;'.'name='.$clave_acceso.'.xml'.$eol; 
    $mensaje.='Content-Transfer-Encoding: base64'.$eol; 
    $mensaje.='Content-Disposition: attachment'.$eol;  
    $mensaje.= $eol; 
    $mensaje.= $attach1.$eol;  
	}	

	if($attach2!='')
	{
    $mensaje.='--PHP-mixed-'.$random_hash.$eol;   
    $mensaje.='Content-Type: text/html;'.'name='.$clave_acceso.'.html'.$eol; 
    $mensaje.='Content-Transfer-Encoding: base64'.$eol; 
    $mensaje.='Content-Disposition: attachment'.$eol;  
    $mensaje.= $eol; 
    $mensaje.= $attach2.$eol;  
	}

	if($attach3!='')
	{
    $mensaje.='--PHP-mixed-'.$random_hash.$eol;   
    $mensaje.='Content-Type: aplication/pdf;'.'name='.$clave_acceso.'.pdf'.$eol; 
    $mensaje.='Content-Transfer-Encoding: base64'.$eol; 
    $mensaje.='Content-Disposition: attachment'.$eol;  
    $mensaje.= $eol; 
    $mensaje.= $attach3.$eol;  
	}

	$mensaje.='--PHP-mixed-'.$random_hash.'--'.$eol;   


     
// echo '<br> ';     
// echo '<br>====== ';     
// echo '<br>====== '.$email;     
// echo '<br>====== '.$asunto;     
// echo '<br>====== '.$mensaje;     
// echo '<br>====== '.$headers;     
     
// =================================================     
// $eol="\r\n";
// $email='vicore@hotmail.com';
     
// $asunto=str_replace('FACTURA','COMP. ELECT. ',$asunto);     
$asunto=str_replace('FACTURA','FACT.ELECT.',$asunto);     

// $asunto.=' - '.date('H:i:s');     
     
// $headers ='';
// $headers.= 'MIME-Version: 1.0' . $eol;
// $headers.= 'Content-Type: multipart/mixed; boundary="PHP-mixed-'.$random_hash.'"'; 
// $headers.= 'From: VCRXOL.COM - '.$cfg_descri.' <celec@vcrxol.com>'. $eol;
    
     
// 	$headers ='';
// // 	$headers.= 'From: VCRXOL.COM - '.$cfg_descri.' <celec@vcrxol.com>'. $eol;
// 	$headers.= 'Reply-To:'.$reply.$eol;
// 	$headers.= 'Cc:'.$emailcc.$eol;
// 	$headers.= 'Bcc:'.$emailbcc.$eol;
// 	$headers.= 'Return-Path: Soporte '.$cfg_descri.' <celec@vcrxol.com>'.$eol;
// 	$headers.= 'MIME-Version: 1.0'.$eol;
// 	$headers.= 'Content-Type: multipart/mixed; boundary="PHP-mixed-'.$random_hash.'"'; 
// 	$headers.= 'From: VCRXOL.COM - '.$cfg_descri.' <celec@vcrxol.com>'. $eol;
     
//      $headers=str_replace('S.A.','',$headers);
//      $headers=str_replace('S. A.','',$headers);
     
     
     
     
     
     
     
// $xmail=mail($email, $asunto, $mensaje, $headers);

// // echo $xmail;
     
// echo '<br>====== ';     
// echo '<br>====== '.$email;     
// echo '<br>====== '.$asunto;     
// // // echo '<br>====== '.$mensaje;     
// echo '<br>====== '.$headers;     
// echo '<br>====== ';     
          
// return $xmail;
     
// $asunto='COMPROBANTE ELECTRONICO '.date('H:i:s');     
     
// =================================================     
     
     
	$xmail=mail($email, $asunto, $mensaje, $headers);
	if($xmail==1 and $test_mail=='')
	{
		$sql_cel1='update '.$tabla.'1 set emailfec=now(), emailto="'.$email.'" where claveacc="'.$clave_acceso.'"';
		$res_cel1=msql_query($sql_cel1,$link_vcrx);
    
	}
// 	else{$xmail='ERROR :'.$email;}
//msql_close($link_vcrx) ; 

//      echo '<br>';
//      echo '<br>'.$email;
//      echo '<br>'.$asunto;
//      echo '<br>'.$headers;
//      echo '<br>'.$mensaje;
     
	return $xmail;
}

?>